Summary: POP3 daemon
Summary(ja): POP3 ǡ

Name: solid-pop3d
Version: 0.15
Release: 1
Copyright: GPL2
Group: System Environment/Daemons
Source: http://solidpop3d.pld.org.pl/solid-pop3d-0.15.tar.gz
Source1: solid-pop3d.xinetd.d
Patch: solid-pop3d.drac.patch.gz
Patch1: solid-pop3d.drac_greeting.patch.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: dracd

%description
POP3 server

%prep
%setup -q
%patch -p1 -b .drac
%patch1 -p1 -b .drac_greeting

%build
aclocal
autoconf
autoheader
%configure --enable-configfile --enable-nonip --enable-mailbox \
    --enable-resolve --enable-connect --enable-drac
make

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

mkdir -p %{?buildroot:%{buildroot}}/etc/xinetd.d
install -m644 %{SOURCE1} %{?buildroot:%{buildroot}}/etc/xinetd.d/solid-pop3d

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
grep -q spop3d /etc/passwd || \
useradd -d /nonexistent -s /nonexistent -r spop3d
/etc/init.d/xinetd reload
%preun
if [ $1 = 0 ]; then
    userdel spop3d
fi

%files
%defattr(-,root,root)
%doc AUTHORS CONFIGFILE COPYING ChangeLog README THANKS VIRTUALS doc
%{_mandir}/*/*
%{_sbindir}/spop3d
/etc/xinetd.d/*

%changelog
* Fri May 11 2001 Yasuhide OMORI <omori@m-t.com>
- 0.15-1
- first attempt
